#!/usr/bin/perl

$version="0.2";
$DAT="dat";
$LVA="$DAT/lva.dat";

$Wallg=1.5;
$Wbakk=0.5;
$Wmag=0.25;

$alle=0;
$allg=0;
$bakk=0;
$mag=0;
open LVA;
LVA: while ( <LVA> ) {
   next LVA if /^#/;
   chomp;
   ($Ltit, $Ltyp, $Lsws, $Lin, $Lby) = split /\t/;
   $alle +=$Lsws;
   $_ = ",".$Lin;
   S: {
     /,DP/ && /,MP/ && /,SP/ && /,TP/ && /,ZP/ && do {
        $allg += $Lsws;
        last S;
        };
     /,(D|M|S|T|Z)/ && do {
        $bakk += $Lsws;
        last S;
        };
     $mag += $Lsws;
   };
};
close LVA;

$bedarf=$allg*$Wallg + $bakk*$Wbakk + $mag*$Wmag;
$profs=int($bedarf/9.0 + 0.99999);

print <<END

Semesterstunden
=====================
PflichtLVAs in allen Bakks: $allg
Sonstige LVAs in Bakks:     $bakk
LVAs in Mags:               $mag
Summe ber alle LVAs:       $alle

Gewichte
========
PflichtLVAs in allen Bakks: $Wallg
Sonstige LVAs in Bakks:     $Wbakk
LVAs in Mags:               $Wmag

Bedarf
======
Lehrbedarf in SWS je Semester: $bedarf
Bedarf an Habilitierten:       $profs

END

